%perl_module Pod-POM 0.17 6

Summary:       POD Object Model.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/~abw/%{pkgname}-%{version}/
Source0:       http://search.cpan.org/CPAN/authors/id/A/AB/ABW/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:     noarch

%description
This module implements a parser to convert Pod documents into a simple
object model form known hereafter as the Pod Object Model. The object
model is generated as a hierarchical tree of nodes, each of which
represents a different element of the original document. The tree can
be walked manually and the nodes examined, printed or otherwise
manipulated. In addition, Pod::POM supports and provides view objects
which can automatically traverse the tree, or section thereof, and
generate an output representation in one form or another.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
# Test 2 of htmlview fails
#perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Pod/POM.pm
%{perl_vendorlib}/Pod/POM
%{perl_bin}/podlint
%{perl_bin}/pom2
%{perl_man3dir}/Pod::POM.3pm*
%{perl_man3dir}/Pod::POM::Node.3pm*
%{perl_man1dir}/podlint.1*
%{perl_man1dir}/pom2.1*

%changelog
* Sat Jan  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
